Bug 986938 - attempt to add URL as panel launcher fails silently
attempt to add URL as panel launcher fails silently
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cinnamon (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 09:09 EDT by Jonathan Kamens
Modified: 2015-02-17 11:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:18:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2013-07-22 09:09:26 EDT
Right click on the launcher section of the panel and select "Add". Type any Name, and type a URL for the Application. Click Add. It fails silently.

Leaving aside for the moment that this should Just Work[tm], if it isn't going to at least it should display some sort of error.
Comment 1 Michael Schwendt 2013-07-22 18:40:06 EDT
Works for me. Be more specific.


As a brief test, I've entered

  Name: Claws Mail
  Application: /usr/bin/claws-mail

then clicked the "Add" button. It added a launcher icon to the panel launcher applet area.


However, when I add an Application path that doesn't exist, nothing happens, and there is no error. Worth investigating would also be that my subsequent attempts at adding various launchers now result in two launcher icons being added at once. So, the code seems to contain bugs (beyond this ticket, however).
Comment 2 Michael Schwendt 2013-07-22 19:15:00 EDT
> type a URL for the Application

Perhaps that's the crucial detail. I've just entered a file:// URI into that field, and that fails silently. However, I don't find documentation about Cinnamon that tells whether that is implemented. When using the built-in file browser, that one also doesn't add an URI but a simple absolute path.
Comment 3 Jonathan Kamens 2013-07-23 10:11:36 EDT
(In reply to Michael Schwendt from comment #1)
> Works for me. Be more specific.

I was specific enough. The case you described that works for you is not the case that I described.

(In reply to Michael Schwendt from comment #2)
> > type a URL for the Application
> 
> Perhaps that's the crucial detail.

Yes, exactly. See? I was specific.

> I've just entered a file:// URI into that
> field, and that fails silently.

And, as I said in my bug report, "Leaving aside for the moment that this should Just Work[tm], if it isn't going to at least it should display some sort of error."

In short, we're in violent agreement.
Comment 4 leigh scott 2013-07-23 10:22:24 EDT
(In reply to Jonathan Kamens from comment #3)

> And, as I said in my bug report, "Leaving aside for the moment that this
> should Just Work[tm], if it isn't going to at least it should display some
> sort of error."
> 
The change hasn't been merged yet into the development branch for cinnamon (don't expect development to work 100%).

https://github.com/linuxmint/Cinnamon/pull/2268
Comment 5 Jonathan Kamens 2013-07-23 10:54:53 EDT
(In reply to leigh scott from comment #4)
> The change hasn't been merged yet into the development branch for cinnamon
> (don't expect development to work 100%).

I am confused by this comment. Are you saying that the version of Cinnamon in F19 is a development branch which is not expected to be stable enough to be relied upon by end users for their day-to-day work?

It seems odd that an unstable, development branch would be included in a release targeted at end users. Is there some particular reason why version 1.8 of Cinnamon was not included in F19 instead?

I switched to Cinnamon recently in F19 because I, like many other people, have serious complaints with numerous UI decisions made by the GNOME maintainers. My initial impressions with Cinnamon were extremely positive -- It looks like I want it to look, and works how I want it to work! I said to myself -- but it very quickly became clear to me that it was not stable enough to use, and I switched back to GNOME after only three days.

You don't get a second chance to make a first impression. I hope you understand why it is beneficial to the software you maintain to have more people using it, I hope you will therefore consider that it may not be such a good idea to release unstable, development software to end users.

And, frankly, that sounds remarkably similar to what the GNOME developers did when they released the entirely unready for prime time GNOME 3 on an unsuspecting public.
Comment 6 leigh scott 2013-07-23 11:15:27 EDT
(In reply to Jonathan Kamens from comment #5)
> (In reply to leigh scott from comment #4)
> > The change hasn't been merged yet into the development branch for cinnamon
> > (don't expect development to work 100%).
> 
> I am confused by this comment. Are you saying that the version of Cinnamon
> in F19 is a development branch which is not expected to be stable enough to
> be relied upon by end users for their day-to-day work?
> 

I'm saying that the version in F19 is heavily patched to work 3.8


> It seems odd that an unstable, development branch would be included in a
> release targeted at end users. Is there some particular reason why version
> 1.8 of Cinnamon was not included in F19 instead?
> 

I could have patched 1.8.x but didn't think is was fair on the cinnamon devs to sully there rep with the patched version for f19

 

> And, frankly, that sounds remarkably similar to what the GNOME developers
> did when they released the entirely unready for prime time GNOME 3 on an
> unsuspecting public.

F19 release date didn't fit in well with the cinnamon-2.0 release schedule, F20 should be better.
Comment 7 leigh scott 2013-07-23 11:29:31 EDT
See what I mean?

http://pkgs.fedoraproject.org/cgit/cinnamon.git/tree/?h=f19
Comment 8 Fedora End Of Life 2015-01-09 14:02:42 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-17 11:18:00 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.